Cursor-paginated credit ledger activity.
curl --request GET \
--url https://dripstack.com/api/v1/me/credits/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://dripstack.com/api/v1/me/credits/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dripstack.com/api/v1/me/credits/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"kind": "PURCHASE",
"amountUsd": 123,
"balanceAfterUsd": 123,
"feature": "<string>",
"description": "<string>",
"packageId": "<string>",
"promoCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"issues": {
"formErrors": [
"<string>"
],
"fieldErrors": {}
}
}{
"error": "<string>",
"code": "<string>",
"hint": "<string>",
"reason": "<string>"
}Account
Cursor-paginated credit ledger activity.
Returns credit ledger rows for the authenticated account (newest first). Same item fields as the dashboard history. Requires bearer API key or OAuth access token with mcp:unlock. Session JWTs are rejected.
GET
/
api
/
v1
/
me
/
credits
/
activity
Cursor-paginated credit ledger activity.
Authorizations
apiKeyoauth2
Bearer API key (pk_drip_…) or OAuth access token (mcp_at_…). Session JWTs are rejected on routes that require this scheme.
Query Parameters
Page size (1-50). Defaults to 20.
Required range:
1 <= x <= 50Opaque cursor from a previous nextCursor.

